#include <iostream>
#include <stdio.h>
#include <stdlib.h>
#include <algorithm>
#include <cmath>
#include <string>
#include <bits/stdc++.h>
#include <strstream>
#include <queue>

#define USE_MATH_DEFINES

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n, k, x, i;
    cin>>n>>k>>x;
    int*a=new int [n];
    a[1]=1;
    for (i=0; i<n; i++) {
        a[i+2]=1+k+x;
        k=k-1;
    }
    for (i=1; i<=n; i++) {
        cout<<a[i]<<" ";
    }
    delete []a;
    return 0;
}